#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export FIREFOX_UUID = ec8030f7-c20a-464f-9b0e-13a3a9e97384
export EXTENSION_GECKO_ID = $(shell jq -r .browser_specific_settings.gecko.id < extension/manifest.json)
$(info EXTENSION_GECKO_ID=$(EXTENSION_GECKO_ID))

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "${EXTENSION_GECKO_ID}" = "null" ]; then \
	    >&2 echo 'Failed to extract extension gecko id from manifest.'; \
	    exit 1; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_CHROME_MANIFEST=OFF

execute_after_dh_auto_install:
	mv debian/tmp/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.browser_integration.json debian/tmp/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.chrome_browser_integration.json
	mv debian/tmp/etc/opt/edge/native-messaging-hosts/org.kde.plasma.browser_integration.json debian/tmp/etc/opt/edge/native-messaging-hosts/org.kde.plasma.edge_browser_integration.json
